//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AboutProperties.cpp : implementation file
//

#include "stdafx.h"
#include "MFCPlugin.h"
#include "AboutProperties.h"
#include "MELUtilities.h"
#include <iostream>
#include <process.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AboutProperties property page

IMPLEMENT_DYNCREATE(AboutProperties, CPropertyPage)

AboutProperties::AboutProperties() : CPropertyPage(AboutProperties::IDD)
{
	//{{AFX_DATA_INIT(AboutProperties)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

AboutProperties::~AboutProperties()
{
}

void AboutProperties::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AboutProperties)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AboutProperties, CPropertyPage)
	//{{AFX_MSG_MAP(AboutProperties)
	ON_BN_CLICKED(IDC_HELP_BUTTON, OnHelpButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AboutProperties message handlers

void AboutProperties::OnHelpButton() 
{

	string helpLoc;
	eval("string $mayaLoc = `getenv \"MAYA_LOCATION\"`");
	getMELvalue("$mayaLoc", helpLoc);
	for (int i = 0; i < helpLoc.size(); i++)
		if (helpLoc[i] == '/') helpLoc[i] = '\\';

	helpLoc += "\\bin\\plug-ins\\AgencyGPHelp\\index.htm";
//	cout << "Opening help file: " << helpLoc << endl;
//	system(helpLoc.c_str());
//	_spawnlp(_P_NOWAIT, "regedit.exe", NULL);  // No.

	ShellExecute(NULL, "open", helpLoc.c_str(), NULL, NULL, 
             SW_SHOWNORMAL);

}
