// AgentDesignHeightDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MFCPlugin.h"
#include "AgentDesignHeightDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AgentDesignHeightDialog dialog


AgentDesignHeightDialog::AgentDesignHeightDialog(CWnd* pParent /*=NULL*/)
	: CDialog(AgentDesignHeightDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(AgentDesignHeightDialog)
	m_target_height = 0;
	m_copyAcross = FALSE;
	//}}AFX_DATA_INIT
}


void AgentDesignHeightDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AgentDesignHeightDialog)
	DDX_Text(pDX, IDC_TARGET_HEIGHT, m_target_height);
	DDV_MinMaxInt(pDX, m_target_height, 0, 100);
	DDX_Check(pDX, IDC_COPY_DESIGNHEIGHT_ACROSS, m_copyAcross);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AgentDesignHeightDialog, CDialog)
	//{{AFX_MSG_MAP(AgentDesignHeightDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AgentDesignHeightDialog message handlers

int AgentDesignHeightDialog::getTarget()
{
	return m_target_height;
}

bool AgentDesignHeightDialog::getCopyAcross()
{
	return m_copyAcross;
}

void AgentDesignHeightDialog::setTarget(int targetHeight)
{
	m_target_height = targetHeight;
}
