//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentLocation.cpp: implementation of the AgentLocation class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MFCPlugin.h"
#include "AgentLocation.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AgentLocation::AgentLocation(double Xpos /*= 0.0*/, double Ypos /*= 0.0*/, double Zpos /*= 0.0*/)
{
	_Xpos = Xpos;
	_Ypos = Ypos;
	_Zpos = Zpos;
}

AgentLocation::~AgentLocation()
{

}

void AgentLocation::getPosition(double &Xpos, double &Ypos, double &Zpos)
{
	Xpos = _Xpos;
	Ypos = _Ypos;
	Zpos = _Zpos;
}
