//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Analysis.h: interface for the Analysis class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ANALYSIS_H__44214125_3A7D_11D4_9F88_0000E87A7A07__INCLUDED_)
#define AFX_ANALYSIS_H__44214125_3A7D_11D4_9F88_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
class Representation;

using namespace std;

class Analysis  
{
public:
	Analysis();
	Analysis(string theName) {name = theName; targetRepresentation = NULL;};

	virtual ~Analysis();

	string& getName() {return name;};

	void setName(string newName) {name = newName;};
	void setRepresentation(Representation* newRep) {targetRepresentation = newRep;};


protected:
	string name;	// All subclasses must set this name to the analysis name by which it will be retrieved
	Representation*	targetRepresentation;


};

#endif // !defined(AFX_ANALYSIS_H__44214125_3A7D_11D4_9F88_0000E87A7A07__INCLUDED_)
