//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AnalysisBoundingBox.h: interface for the AnalysisBoundingBox class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ANALYSISBOUNDINGBOX_H__D5E61EF2_63A7_11D4_9FAF_0000E87A7A07__INCLUDED_)
#define AFX_ANALYSISBOUNDINGBOX_H__D5E61EF2_63A7_11D4_9FAF_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Analysis.h"

class AnalysisBoundingBox : public Analysis  
{
public:
	AnalysisBoundingBox();
	virtual ~AnalysisBoundingBox();

	void getBounds(bool& any, double& minX, double& minY, double& minZ,
							  double& maxX, double& maxY, double& maxZ,
							  int zoneType = -1);

};

#endif // !defined(AFX_ANALYSISBOUNDINGBOX_H__D5E61EF2_63A7_11D4_9FAF_0000E87A7A07__INCLUDED_)
