#if !defined(AFX_MAINCONTROLS_H__114BF524_FE27_11D3_9F5D_0000E87A7A07__INCLUDED_)
#define AFX_MAINCONTROLS_H__114BF524_FE27_11D3_9F5D_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Resource.h"
#include "PrimaryShape.h"
#include <vector>
#include "GeneticEngine.h"

// MainControls.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MainControls dialog

class MainControls : public CDialog
{
// Construction
public:
	MainControls(CWnd* pParent = NULL);   // standard constructor

	~MainControls(); // standard destructor

// Dialog Data
	//{{AFX_DATA(MainControls)
	enum { IDD = IDD_DIALOG2 };
	int		m_nGenerations;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MainControls)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MainControls)
	afx_msg void OnTransform();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnStart();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelendokSelectIndividual();
	afx_msg void OnDropdownSelectIndividual();
	afx_msg void OnDeltaposShiftIndividual(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void	deleteLoft();
	void	updateDialogText();  // Update the text in the dialog
	void	updateBreedingText();  // Update the text in the breeding statistics box
	void	interpret();

	GeneticEngine*				theEngine;

	int							currentDesign;

//	std::vector<PrimaryShape*>	primaries;
	std::list<string>			loftShapeList;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINCONTROLS_H__114BF524_FE27_11D3_9F5D_0000E87A7A07__INCLUDED_)
