//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// PEType.h: interface for the PEType class.
// Synched with Simon 4/8
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PETYPE_H__B350BB9C_E931_11D3_9F59_0000E87A7A07__INCLUDED_)
#define AFX_PETYPE_H__B350BB9C_E931_11D3_9F59_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class PEType  
{
public:
	PEType();
	PEType(const PEType& oldPEType);
	PEType(int newPEType);
	virtual ~PEType();

// Accessors
	int getType() const {return theType;};
	void setType(int newType) {theType = newType;};

	//int getAssignment() const { return assignment; }; //old name from JTR version

// Mutators
	void mutate();

// Utilities
	const PEType& operator=(const PEType& oldPEType);
private:
	int theType;
	//int assignment; //old name from JTR version
};

#endif // !defined(AFX_PETYPE_H__B350BB9C_E931_11D3_9F59_0000E87A7A07__INCLUDED_)
