//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// ProgressBar.cpp : implementation file
//

#include "stdafx.h"
#include "MFCPlugin.h"
#include "ProgressBar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ProgressBar dialog

ProgressBar::ProgressBar(int steps, CWnd* pParent)
	: CDialog(ProgressBar::IDD, pParent)
{
	_steps = steps;
}


ProgressBar::ProgressBar(CWnd* pParent /*=NULL*/)
	: CDialog(ProgressBar::IDD, pParent)
{
	//{{AFX_DATA_INIT(ProgressBar)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void ProgressBar::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ProgressBar)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ProgressBar, CDialog)
	//{{AFX_MSG_MAP(ProgressBar)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ProgressBar message handlers

void ProgressBar::Step() 
{	
	CProgressCtrl* bar = (CProgressCtrl*)GetDlgItem(IDC_PROGRESS1);
	bar->StepIt();
}

BOOL ProgressBar::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CProgressCtrl* bar = (CProgressCtrl*)GetDlgItem(IDC_PROGRESS1);
	bar->SetRange32(0, _steps);
	bar->SetStep(1);
	bar->SetPos(0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
