//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_PROGRESSBAR_H__0B229C05_58C5_11D4_9FA2_0000E87A7A07__INCLUDED_)
#define AFX_PROGRESSBAR_H__0B229C05_58C5_11D4_9FA2_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProgressBar.h : header file
//

#include "Resource.h"

/////////////////////////////////////////////////////////////////////////////
// ProgressBar dialog

class ProgressBar : public CDialog
{
// Construction
public:
	ProgressBar(int steps, CWnd* pParent = NULL);	// construct with # of steps
	ProgressBar(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(ProgressBar)
	enum { IDD = IDD_PROGRESS_BAR };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ProgressBar)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// My Functions
public:

	void Step();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ProgressBar)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int _steps;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSBAR_H__0B229C05_58C5_11D4_9FA2_0000E87A7A07__INCLUDED_)
