// AgentNumShapesDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MFCPlugin.h"
#include "AgentNumShapesDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AgentNumShapesDialog dialog


AgentNumShapesDialog::AgentNumShapesDialog(CWnd* pParent /*=NULL*/)
	: CDialog(AgentNumShapesDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(AgentNumShapesDialog)
	m_copyAcross = FALSE;
	m_proportion = 0;
	//}}AFX_DATA_INIT
}


void AgentNumShapesDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AgentNumShapesDialog)
	DDX_Check(pDX, IDC_COPY_NUM_SHAPES_PROPS_ACROSS_ZONETYPES, m_copyAcross);
	DDX_Slider(pDX, IDC_NUM_SHAPES_SLIDER, m_proportion);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AgentNumShapesDialog, CDialog)
	//{{AFX_MSG_MAP(AgentNumShapesDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AgentNumShapesDialog message handlers

BOOL AgentNumShapesDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	((CSliderCtrl*)GetDlgItem(IDC_NUM_SHAPES_SLIDER))->SetRange( 0, 100);
	((CStatic*)GetDlgItem(IDC_NS_SETTING_FOR_ZONE_TYPE))->SetWindowText(("Number of shapes setting for ZoneType: " + _zoneName).c_str());
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
