//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_AGENTNUMSHAPESDIALOG_H__6D4F8043_6953_11D4_9FBB_0000E87A7A07__INCLUDED_)
#define AFX_AGENTNUMSHAPESDIALOG_H__6D4F8043_6953_11D4_9FBB_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AgentNumShapesDialog.h : header file
//

#include <string>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// AgentNumShapesDialog dialog

class AgentNumShapesDialog : public CDialog
{
// Construction
public:
	AgentNumShapesDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(AgentNumShapesDialog)
	enum { IDD = IDD_AGENT_NUM_SHAPES };
	BOOL	m_copyAcross;
	int		m_proportion;
	//}}AFX_DATA


	void setProportion(int newProp) {m_proportion = newProp;};
	int getProportion() {return m_proportion;};
	bool getCopyAcross() {return m_copyAcross;};

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AgentNumShapesDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void setZoneName(const string& zoneName) {_zoneName = zoneName;};
	
protected:
	string _zoneName;
	
	// Generated message map functions
	//{{AFX_MSG(AgentNumShapesDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AGENTNUMSHAPESDIALOG_H__6D4F8043_6953_11D4_9FBB_0000E87A7A07__INCLUDED_)
