//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Reflection.cpp: implementation of the Reflection class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "Reflection.h"
#include "GeneticUtility.h"
#include <iostream.h>
#include <sstream>

using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Reflection::Reflection()
{

}

Reflection::Reflection(const Reflection& oldReflection) 
	: Transformation(oldReflection)
{
	axes = oldReflection.getAxes();
}

Reflection::~Reflection()
{

}

string Reflection::print() const {
	
	ostringstream output;

	output << "Reflect around " << axes << " axis";
	return output.str();
}

void Reflection::mutate() {
	axes = (Reflect) (safeRandom(3));
}

void Reflection::randomize() {
	axes = (Reflect) (safeRandom(3));
}

void Reflection::run(PrimaryShape* theShape) {
//	cout << "Running Reflection." << endl;
	// do nothiing as yet
}