//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_SETTINGSPROPS_H__5CA1E399_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
#define AFX_SETTINGSPROPS_H__5CA1E399_667E_11D4_9FB1_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingsProps.h : header file
//

#include "Settable.h"

/////////////////////////////////////////////////////////////////////////////
// SettingsProps dialog

class SettingsProps : public CPropertyPage, public Settable
{
	DECLARE_DYNCREATE(SettingsProps)

// Construction
public:
	SettingsProps();
	~SettingsProps();

// Dialog Data
	//{{AFX_DATA(SettingsProps)
	enum { IDD = IDD_SETTINGS_DIALOG };
	BOOL	m_bRandSeed;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(SettingsProps)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual void reportSettings();
	virtual void receiveSettings();

	// Generated message map functions
	//{{AFX_MSG(SettingsProps)
	afx_msg void OnLoadDefaultSettings();
	afx_msg void OnLoadSettingsFromFile();
	afx_msg void OnSaveCurrentSettingsAs();
	afx_msg void OnSaveSettingsAsDefault();
	afx_msg void OnWipeDefaults();
	virtual BOOL OnInitDialog();
	afx_msg void OnRandSeed();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGSPROPS_H__5CA1E399_667E_11D4_9FB1_0000E87A7A07__INCLUDED_)
