//
// Copyright (C) 2001 Simon Greenwold. You are allowed to use or modify the code, but this note must be kept intact.
// 
#if !defined(AFX_ZONETYPEPROPERTIES_H__E56FF884_67E5_11D4_9FB6_0000E87A7A07__INCLUDED_)
#define AFX_ZONETYPEPROPERTIES_H__E56FF884_67E5_11D4_9FB6_0000E87A7A07__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ZoneTypeProperties.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ZoneTypeProperties dialog

class ZoneTypeProperties : public CPropertyPage
{
	DECLARE_DYNCREATE(ZoneTypeProperties)

// Construction
public:
	ZoneTypeProperties();
	~ZoneTypeProperties();

// Dialog Data
	//{{AFX_DATA(ZoneTypeProperties)
	enum { IDD = IDD_ZONE_TYPE };
	CString	m_zoneName;
	CString	m_shaderName;
	int		m_MutationRate;
	BOOL	m_noMutations;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(ZoneTypeProperties)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(ZoneTypeProperties)
	afx_msg void OnAddNewZoneType();
	afx_msg void OnDeleteZoneType();
	afx_msg void OnSelchangeZoneTypeList();
	afx_msg void OnKillfocusZoneTypeName();
	afx_msg void OnSelendokZoneTypeShader();
	virtual BOOL OnInitDialog();
	afx_msg void OnInOutMutations();
	afx_msg void OnReleasedcaptureMutationrate(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void resetZoneList();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZONETYPEPROPERTIES_H__E56FF884_67E5_11D4_9FB6_0000E87A7A07__INCLUDED_)
